package com.bonus.canteen.core.order.deprecated.vo;

public class OfflineUploadDetailVO {
   private Integer payType;
   private String payTypeName;
   private Integer realAmount;

   public static OfflineUploadDetailVO of(Integer payType, String payTypeName, Integer realAmount) {
      return new OfflineUploadDetailVO(payType, payTypeName, realAmount);
   }

   public Integer getPayType() {
      return this.payType;
   }

   public String getPayTypeName() {
      return this.payTypeName;
   }

   public Integer getRealAmount() {
      return this.realAmount;
   }

   public void setPayType(final Integer payType) {
      this.payType = payType;
   }

   public void setPayTypeName(final String payTypeName) {
      this.payTypeName = payTypeName;
   }

   public void setRealAmount(final Integer realAmount) {
      this.realAmount = realAmount;
   }

   public OfflineUploadDetailVO() {
   }

   public OfflineUploadDetailVO(final Integer payType, final String payTypeName, final Integer realAmount) {
      this.payType = payType;
      this.payTypeName = payTypeName;
      this.realAmount = realAmount;
   }
}
